--       _________ __                 __                               
--      /   _____//  |_____________ _/  |______     ____  __ __  ______
--      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
--      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ \ 
--     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
--             \/                  \/          \//_____/            \/ 
--  ______________________                           ______________________
--			  T H E   W A R   B E G I N S
--	   Stratagus - A free fantasy real time strategy game engine
--
--	sound.ccl	-	Define the used sounds.
--
--	(c) Copyright 1999-2004 by Fabrice Rossi, Lutz Sammer and Crestez Leonard
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--  
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--  
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--	$Id: sound.lua,v 1.2 2004/02/10 01:55:23 n0body Exp $

------------------------------------------------------------------------------
--	Music part

------------------------------------------------------------------------------
--	MusicStopped() is called if the current music is finished.
--
--		This is a random music player demo
--

function MusicStopped()
  if (table.getn(playlist) ~= 0) then
    PlayMusic(playlist[math.random(table.getn(playlist))])
  end
end

-- No cd music
SetCdMode("off")

------------------------------------------------------------------------------
--	Define sounds later used
--

sound_click = MakeSound("click", "ui/click.wav")

------------------------------------------------------------------------------
--	ELITES
--

-- UNITS
MakeSound("assault-selected", "elites/units/assault_select.ogg")
MakeSound("assault-acknowledge", "elites/units/assault_action.ogg")
MakeSound("assault-ready", "elites/computer_voice/assault.unit.ready.ogg")
MakeSound("assault-help", "elites/computer_voice/assault.unit.underattack.ogg")
MakeSound("assault-die", "elites/units/assault_die.ogg")
MakeSound("assault-attack", "elites/units/assault_attack.ogg")

MakeSound("grenadier-selected", "elites/units/grenadier_select.ogg")
MakeSound("grenadier-acknowledge", "elites/units/grenadier_action.ogg")
MakeSound("grenadier-ready", "elites/computer_voice/grenadier.ready.ogg")
MakeSound("grenadier-help", "elites/computer_voice/grenadier.underattack.ogg")
MakeSound("grenadier-die", "elites/units/grenadier_die.ogg")
MakeSound("grenadier-attack", "elites/units/grenadier_attack.ogg")

MakeSound("bazoo-selected", "elites/units/booza_select.ogg")
MakeSound("bazoo-acknowledge", "elites/units/booza_action.ogg")
MakeSound("bazoo-ready", "elites/computer_voice/bazoo.ready.ogg")
MakeSound("bazoo-help", "elites/computer_voice/bazoo.underattack.ogg")
MakeSound("bazoo-die", "elites/units/booza_die.ogg")
MakeSound("bazoo-attack", "elites/units/booza_attack.ogg")

MakeSound("engineer-selected", "elites/units/engineer_select.ogg")
MakeSound("engineer-acknowledge", "elites/units/engineer_action.ogg")
MakeSound("engineer-ready", "elites/computer_voice/engineer.ready.ogg")
MakeSound("engineer-help", "elites/computer_voice/engineer.underattack.ogg")
MakeSound("engineer-die", "elites/units/engineer_die.ogg")
MakeSound("engineer-repair", "elites/units/engineer_attack.ogg")
MakeSound("engineer-harvest", "elites/units/engineer_attack.ogg")

MakeSound("harvester-selected", "elites/units/harvester_select.ogg")
MakeSound("harvester-acknowledge", "elites/units/harvester_action.ogg")
MakeSound("harvester-ready", "elites/computer_voice/harvester.completed.ogg")
MakeSound("harvester-help", "elites/computer_voice/harvester.underattack.ogg")
MakeSound("harvester-die", "elites/units/harvester_die.ogg")
MakeSound("harvester-harvest", "elites/units/harvester_attack.ogg")

MakeSound("apcs-selected", "elites/units/smolder_select.ogg")
MakeSound("apcs-acknowledge", "elites/units/smolder_action.ogg")
MakeSound("apcs-ready", "elites/computer_voice/smolder.completed.ogg")
MakeSound("apcs-help", "elites/computer_voice/smolder.underattack.ogg")
MakeSound("apcs-die", "elites/units/smolder_die.ogg")
MakeSound("apcs-attack", "elites/units/smolder_attack.ogg")

MakeSound("medic-selected", "elites/units/medic_select.ogg")
MakeSound("medic-acknowledge", "elites/units/medic_action.ogg")
MakeSound("medic-ready", "elites/computer_voice/medic.ready.ogg")
MakeSound("medic-help", "elites/computer_voice/medic.underattack.ogg")
MakeSound("medic-die", "elites/units/medic_die.ogg")
MakeSound("medic-attack", "elites/units/medic_attack.ogg")

-- BUILDINGS
MakeSound("gen-selected", "elites/buildings/sfx_pplnt.select.ogg")
MakeSound("gen-ready", "elites/computer_voice/power.plant.completed.ogg")
MakeSound("gen-help", "elites/computer_voice/power.plant.underattack.ogg")
MakeSound("gen-dead", "elites/buildings/sfx_pplnt.die.ogg")

MakeSound("camp-selected", "elites/buildings/sfx_camp.select.ogg")
MakeSound("camp-ready", "elites/computer_voice/training.camp.completed.ogg")
MakeSound("camp-help", "elites/computer_voice/training.camp.underattack.ogg")
MakeSound("camp-dead", "elites/buildings/sfx_camp.die.ogg")

MakeSound("dev-selected", "elites/buildings/sfx_fort.select.ogg")
MakeSound("dev-ready", "elites/computer_voice/elite.fort.completed.ogg")
MakeSound("dev-help", "elites/computer_voice/elite.fort.underattack.ogg")
MakeSound("dev-dead", "elites/buildings/sfx_fort.die.ogg")

MakeSound("rfac-selected", "elites/buildings/sfx_rfac.select.ogg")
MakeSound("rfac-ready", "elites/computer_voice/research.facility.completed.ogg")
MakeSound("rfac-help", "elites/computer_voice/research.facility.underattack.ogg")
MakeSound("rfac-dead", "elites/buildings/sfx_rfac.die.ogg")

MakeSound("hosp-selected", "elites/buildings/sfx_hosp.select.ogg")
MakeSound("hosp-ready", "elites/computer_voice/hospital.completed.ogg")
MakeSound("hosp-help", "elites/computer_voice/hospital.underattack.ogg")
MakeSound("hosp-dead", "elites/buildings/sfx_hosp.die.ogg")

MakeSound("vfac-selected", "elites/buildings/sfx_vfac.select.ogg")
MakeSound("vfac-ready", "elites/computer_voice/vehicle.factory.completed.ogg")
MakeSound("vfac-help", "elites/computer_voice/vehicle.factory.underattack.ogg")
MakeSound("vfac-dead", "elites/buildings/sfx_vfac.die.ogg")

MakeSound("grenade-impact", "elites/units/grenadier_g_hit.ogg")
MakeSound("rocket-impact", "elites/units/booza_g_hit.ogg")



------------------------------------------------------------------------------
--	TERRAS
--

-- UNITS

-- BUILDINGS





------------------------------------------------------------------------------
--	Define sounds used by game
--

DefineGameSounds(
  "placement-error", sound_click,
  "placement-success", sound_click,
  "click", sound_click)

sound_click = MakeSound("statsthump", "ui/click.wav")
